Subject: Offline Message from Shatha Saad: I have ordered a shipment and it is labeled
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Fri, 24 Jul 2020 17:09:34 -0000

From: Shatha Saad <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-ar/track-order/
Department: 

I have ordered a shipment and it is labeled “shipped” however I only received 1 item whilst the rest is missing I contacted you guys 5 times now each time I was told to wait 3 days and I did now it is impossible for me to wait no more my order number is 200316482 if my order did not reach me in tow business days I am afraid I will file a complaint to the higher authorities and then you guys can deal with that I have spent 900 sr on this order which contains baby food and medical herbal teas which could go bad THE ORDER HAS BEEN WITH YOU GUYS FOR HALF A MONTH ! Either ship it or give me my money back! 

----
Zopim
https://www.zopim.com